#
# spec file for package python-discover
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-discover
Version:        0.4.0
Release:        lp151.2.1
Summary:        Test discovery for unittest. Backported from Python 2.7 for Python 24+
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/discover/
Source:         https://files.pythonhosted.org/packages/source/d/discover/discover-%{version}.tar.gz
# https://code.google.com/p/unittest-ext/issues/detail?id=79
Patch0:         bug-79-fix.patch
BuildRequires:  %{python_module devel}
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
This is the test discovery mechanism and ``load_tests`` protocol for unittest
backported from Python 2.7 to work with Python 2.4 or more recent (including
Python 3).

%prep
%setup -q -n discover-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}/*

%changelog
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Fri Feb 14 2014 dmueller@suse.com
- added patches:
  * bug-79-fix.patch
* Tue Jan 15 2013 saschpe@suse.de
- Use SPDX-style license
- Package README.txt
* Tue Jan 15 2013 dmueller@suse.com
- Initial package (0.4.0)
